# geotechdata

A Python package for managing geotechnical data, including points, boreholes, SPT data, lab test results, and groundwater information.

## Features

- **Point**: Store investigation locations with coordinates and metadata.
- **BoreholeData & SPTData**: Manage borehole logs and Standard Penetration Test results.
- **LabTestData**: Generic class for storing any type of lab test result.
- **GroundwaterData**: Store groundwater measurements.
- **Export**: Easily export data to CSV, JSON, Excel, or GeoJSON.
- **Visualization**: Plot SPT blow counts vs. depth.

## Installation

```bash
pip install geotechdata
```

---

## Examples and Usage

For practical usage examples, see the [example Jupyter notebooks](https://github.com/geocodes-eng/geotechdata/tree/main/examples) in the `examples/` folder of this repository.

You can open these notebooks directly on GitHub or download and run them locally to see how to use the package for real geotechnical data workflows.

---

## Contributing

Contributions are welcome!  
If you have suggestions, bug reports, or would like to contribute code, please open an issue or submit a pull request on [GitHub](https://github.com/geocodes-eng/geotechdata).

---

## License

This project is licensed under the MIT License.  
See the [LICENSE](LICENSE) file for details.